Skip to main content
POST
Bulk archive projects
This endpoint is in beta. It may still change before it reaches general availability.

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string
required

id of the deployment

Body

application/json
deploymentId
string

id of the deployment

filters
object

filters to specify which projects to archive or unarchive

excludeIds
string[]

projects to exclude from the change

isArchived
boolean

whether to archive (true) or unarchive (false) the matched projects. Required.

Response

200 - application/json

OK

updatedRepoIds
string[]

ids of the projects that were archived or unarchived

errors
object[]

errors and the ids of the impacted projects